SQ(1)

NAME
sq packet split - Split a message into packets

SYNOPSIS
sq packet split [OPTIONS] FILE

DESCRIPTION
Split a message into packets.

Splitting a packet sequence into individual packets, then recombining them freely with `sq packet join` is a great way to experiment with OpenPGP data.

By default, the packets are written to stdout as a sequence of ASCII armored blocks. It is possible to edit this file directly (e.g., moving, adding, or removing packets), and then use `sq packet join` to assemble the stream.

Alternatively, if a `--output-prefix` is given, the packets are written into individual files starting with the prefix, and can be reassembled with `sq packet join`.

The converse operation is `sq packet join`.

OPTIONS

  Subcommand options

--binary
    Emit binary data

--output=FILE
    Write to FILE or stdout if omitted

--output-prefix=PREFIX
    Write packets to individual files starting with the given prefix.

    The file names are formed by joining the prefix, the path of the packet in the source object (recall: packets can be nested), and a human-readable packet type with dashes ('-').

FILE
    Read from FILE or stdin if FILE is '-'

    [default: -]

  Global options
See sq(1) for a description of the global options.

EXAMPLES

Split a certificate into individual packets printed to stdout.

    sq packet split --output=- juliet.pgp

Split a inline-signed message into individual packets written to individual files with the prefix 'packet'.

    sq packet split --output-prefix packet document.pgp

Then reassemble the message, transforming it into an old-style signed message with a prefix signature.

    sq packet join --output prefix-signature.pgp --label message \
        packet-2-Signature-Packet packet-1-Literal-Data-Packet

SEE ALSO
sq(1), sq-packet(1).

For the full documentation see <https://book.sequoia-pgp.org>.

VERSION
0.40.0 (sequoia-openpgp 1.21.2)